package com.ruoyi.mingxue.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 客户观看视频记录对象 b_customer_video_watches
 *
 * @author mingxue
 * @date 2021-07-28
 */
public class CustomerVideoWatches extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 客户 */
    @Excel(name = "客户")
    private String customerCode;

    /** aliId */
    @Excel(name = "类型")
    private Integer type;

    /** 小节 */
    @Excel(name = "小节")
    private String sectionId;

    /** 观看时长 */
    @Excel(name = "观看时长")
    private Long duration;

    /** 观看进度 */
    @Excel(name = "观看进度")
    private BigDecimal percent;

    /** 科目 */
    @Excel(name = "科目")
    private String course;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 封面 */
    @Excel(name = "封面")
    private String pict;

    /** 说明 */
    @Excel(name = "说明")
    private String comment;

    /** 观看时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "观看时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    private String day;
    private Integer count;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCustomerCode(String customerCode)
    {
        this.customerCode = customerCode;
    }

    public String getCustomerCode()
    {
        return customerCode;
    }
    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }
    public void setSectionId(String sectionId)
    {
        this.sectionId = sectionId;
    }

    public String getSectionId()
    {
        return sectionId;
    }
    public void setDuration(Long duration)
    {
        this.duration = duration;
    }

    public Long getDuration()
    {
        return duration;
    }
    public void setPercent(BigDecimal percent)
    {
        this.percent = percent;
    }

    public BigDecimal getPercent()
    {
        return percent;
    }
    public void setCourse(String course)
    {
        this.course = course;
    }

    public String getCourse()
    {
        return course;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setPict(String pict)
    {
        this.pict = pict;
    }

    public String getPict()
    {
        return pict;
    }
    public void setComment(String comment)
    {
        this.comment = comment;
    }

    public String getComment()
    {
        return comment;
    }
    public void setTime(Date time)
    {
        this.time = time;
    }

    public Date getTime()
    {
        return time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("customerCode", getCustomerCode())
            .append("sectionId", getSectionId())
            .append("duration", getDuration())
            .append("percent", getPercent())
            .append("course", getCourse())
            .append("title", getTitle())
            .append("pict", getPict())
            .append("comment", getComment())
            .append("time", getTime())
            .toString();
    }

    public String getDay() {
        return day;
    }

    public void setDay(String day) {
        this.day = day;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

}
